* {
    word-break: break-word !important;
    overflow-wrap: break-word !important;
}

.body {
    background-color: #18174d;
}

.col-12 {
    padding: 0px;
}

.banner {
    background-image: url(../assets/img/banner.png);
    background-size: cover;
    background-position: center;
    background-clip: border-box;
}

.content {
    width: 100%;
    padding-top: 50px;
}

.nav {
    background-color: #000000;


}


.navbar {
    background-color: transparent;
    text-align: center;
    color: white !important;
    font-family: Poppins;
    font-weight: bold;
    text-transform: uppercase;
    width: 100%;
    float: right;
    clear: both;
    padding-top: 20px;
}

.navbar-toggler {
    background-color: #d4ff5b !important ;
    border: none !important;
    border-radius: 50% 50%;
    max-width: 60px;
    max-height: 60px;
    display: block;
    position: absolute;
    right: 50px;
    top: 25px;
    z-index: 20;
    color: transparent;
}

.navbar-brand img {
    max-width: 5vw;
    display: block;
    width: 50px;
}

#csgreen {
    position: absolute;
    left: 290px;
    width: 500px;
    height: 1000px;
    margin: auto;
}

#csblue {
    position: absolute;
    left: 530px;
    width: 525px;
    height: 700px;
    margin: auto;

}

.blue {
    color: #00ade5;
}

.container {
    width: 80%;
}

.nav-link {
    color: white !important;
    text-align: left !important;
    font-size: 1em;
}

.dropdown-menu {
    background-color: rgba(0, 0, 0, 40%) !important;
}

.dropdown-item {
    color: white;
    text-align: center;
    font-weight: bold;
}

.langs {
    width: 100px !important;
    min-width: 100px !important;
    margin-left: 40px;
}

.dropdown-item:hover {
    background-color: rgba(0, 0, 0, 40%) !important;
    color: white !important;

}

.bannertext {
    width: 60%;
    margin: auto;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: bold;
    font-family: Poppins;
}

.white {
    color: white;
}

p {
    color: white;
    font-family: Poppins;
    font-weight: 400;
    margin: auto;
}

button {
    background-color: transparent;
    color: black;
    border: none;
    padding: 10px 20px;
    border-radius: 64px;
    font-family: Poppins;
    font-weight: 600;
    width: 90%;
    max-width: 300px;
    height: 70px;
    font-size: 1.3em;
    z-index: 5;
}

.green {
    color: #d4ff5b;
}

.greenbg {
    background-color: #d4ff5b;
}

.bluebg {
    background-color: #18174d !important;
}

.dblue {
    color: #18174d;
}

.h2textleft {
    height: 100%;
    display: flex;
    align-items: center;
    text-align: left;
}

#mail {
    text-decoration: none;
    color: #18174d;
}

a {
    text-decoration: none;
    color: white;
}

.h2textright {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: end;
    text-align: right;
}

.circle {
    background-color: white;
    border-radius: 50%;
    width: 50px;
    height: 50px;

}

.gray {
    color: rgba(255, 255, 255, 0.85) !important;
}

.ico {
    margin: auto 10px;
}

.sora {
    font-family: 'Sora', sans-serif;
}

.kapcsbtn {
    background-color: #d4ff5b;
    color: black;
    border: none;
    padding: 10px 20px;
    border-radius: 64px;
    font-family: Poppins;
    font-weight: 600;
    height: 70px;
    transition: 0.5s;
}

.kapcsbtn:hover {
    border-radius: 64px;
    transform: scale(1.1);
    border: 3px solid #18174d;
}

.under a {
    position: relative;
    padding: 10px 20px;
    margin: 0 10px;
    transition: 0.5s;
}

.under a::before {
    content: '';
    position: absolute;
    width: 0;
    height: 3px;
    background-color: white;
    bottom: 0;
    left: 0;
    transition: 0.5s;
    max-width: 200px;
}

.footer {
    padding-bottom: 100px;
}

.under a:hover::before {
    width: 100%;
    border-radius: 50px;
}

.social {
    width: 140px;
    height: 50px;
}

#pass {
    margin-top: none;
    width: 600px;
    max-width: 40vw;
    margin: auto;
    overflow: visible;
    z-index: 50;
}

.underline {
    width: 250px;
    height: 5px;
    
    opacity: 1;
    border-radius: 10px;
    max-width: 100%;
}

h1 {
    font-size: 4em;

}

h2 {
    font-size: 3em;
}

h3 {
    font-size: 2.5em;
}

h4 {
    font-size: 2em;
}

h5 {
    font-size: 2em;
}

.whatwedo {
    background-color: #d4ff5b;
    padding-top: 0px;
    padding-bottom: 0px;
}

.whatwedo h1,
.whatwedo h2,
.whatwedo h3,
.whatwedo h4,
.whatwedo h5,
.whatwedo h6 {
    color: #18174d;
}

.whatwedo2 {
    background-color: #fafcfc;
    padding-top: 0px;
    color: #18174d !important;
       padding-bottom: 100px;
}

.whoweare {
    background-image: url(../assets/img/fade.png);
    margin-top: 0px;
    padding: 0px 0px 100px 0px;
    padding-top: 0px;
    padding-bottom: 100px;
    color: white !important;
    width: 100vw;
}


@media (min-width: 1920px) {
    #pass {
        top: 590px;
    }

    h1 {
        font-size: 5em;
    }

    h2 {
        font-size: 4em;
    }

    h3 {
        font-size: 3em;
    }

    h4 {
        font-size: 2.5em;
    }

    h5 {
        font-size: 2em;
    }

    .navbar-brand img {
        max-width: 15vw;
        display: block;
        width: 100%;
    }
}

@media (min-width: 992px) {
    .navbar-brand img {
        max-width: 15vw;
        display: block;
        width: 100%;
    }
}

.dropico {
    filter: invert(0);
    margin-left: 15px;
    width: 10px;
}

@media (max-width: 991px) {
    .navbar-brand img {
        max-width: 35vw;
        display: block;
        width: 100%;
    }

    .navbar-collapse {
        position: absolute !important;
        width: 100%;
        height: 110vh !important;
        z-index: 10;
        top: 0px;
        left: 0;
        display: block;
        align-items: start;
        flex-direction: column;
        justify-content: start;
        padding-top: 30px;
        padding-left: 30px;
    }

    #langlogo {
        filter: invert(1);
    }

    .navbar-brand img {
        padding-top: 15px;
    }

    .navbar-nav {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 100%;
        margin-top: 0px;
        padding-top: 0px;
    }

    .nav-link {
        font-size: 1.2em;
    }

    .micsin {
        margin-top: 50px;
    }

    .langselector {
        background-color: white;
        border-radius: 40px;
        color: #011638 !important;
        text-align: center;
        align-items: center;
        justify-content: center;
        width: 140px;
        order: 0;
        padding: 15px 20px;
        margin-left: 20px;
        font-weight: 600;
    }

    .dropico {
        display: inline-block;
        width: 15px;
        margin-left: 13px;
        filter: invert(1);
    }

    .navbar-nav li:first-child {
        order: 1;
    }

    .navbar-nav li:nth-child(2) {
        order: 2;
    }

    .navbar-nav li:nth-child(3) {
        order: 3;
    }
    .navbar-nav li:nth-child(4) {
        order: 4;
    }
}


@media (max-width: 700px) {
    h1 {
        font-size: 2.8em;
    }

    h2 {
        font-size: 2.5em;
    }

    h3 {
        font-size: 2em;
    }

    h4 {
        font-size: 1.5em;
    }

    h5 {
        font-size: 1.5em;
    }

    .navbar-brand img {
        max-width: 45vw;
        display: block;
        width: 100%;
    }

}

@media (max-width: 576px) {
    h1 {
        font-size: 2em;
    }

    h2 {
        font-size: 2em;
    }

    h3 {
        font-size: 1.5em;
    }

    h4 {
        font-size: 1.2em;
    }

    h5 {
        font-size: 1.2em;
    }
}

@media (max-width: 700px) {
    .bannertext {
        width: 90%;
    }
}

@media (max-width: 992px) {
    .navbar-collapse {
        background-color: #011638 !important;
    }

}

@media (min-width: 700px) {

    .social {
        margin-top: -60px;
    }
}

@media (max-width: 700px) {
    .social {
        text-align: center;
        justify-content: center !important;
        margin: auto !important;
    }
}

@keyframes underline {
    from {
        width: 0;
    }

    to {
        width: 100%;
    }
}


/* menü színvlátás

  /* 50%-os fekete háttér a navbar-nak */
    #navbrr {
      background-color: transparent; /* 50%-os fekete */
      transition: background-color 0.3s;
    }

    /* Görgetéskor sötétebb háttér */
    #navbrr.scrolled {
      background-color: rgba(1, 22, 56, 0.6); /* Görgetéskor sötétebb fekete háttér */
    }

